package com.xhpc.job.service;

import com.xhpc.common.api.UserTypeService;
import com.xhpc.common.core.domain.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author yuyang
 * @date 2022/1/24 13:32
 */
@Service
public class CardJobServiceImpl implements ICardJobService{


    @Autowired
    private UserTypeService userTypeService;

    @Override
    public void cardStartup(String phone, String tenantId) {
        R user = userTypeService.getUser(phone, null, null, null,tenantId);
        if(user !=null && user.getData() !=null){
            Map<String, Object> map = (Map<String, Object>)user.getData();
            System.out.println("执行方法11有参方法map：" + map.toString());
        }
        System.out.println("执行方法结束");
    }
}
